Bug 48761 - Web Inspector: [Extensions API] expose API to create properties watch sidebar panes
Summary: Web Inspector: [Extensions API] expose API to create properties watch sidebar...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Andrey Kosyakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-01 08:45 PDT by Andrey Kosyakov
Modified: 2011-04-08 01:27 PDT (History)
9 users (show)

See Also:


Attachments
patch (20.30 KB, patch)
2010-11-01 09:20 PDT, Andrey Kosyakov
no flags Details | Formatted Diff | Diff
patch to land (21.53 KB, patch)
2010-11-01 11:32 PDT, Andrey Kosyakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Kosyakov 2010-11-01 08:45:34 PDT
A common task for extensions would be to display a tree of properties of an object on the inspected page. While it would be possible for extension to re-implement object display and marshaling logic we have in InjectedScript, RemoteObject and PropertiesSection, we would like to provide a simple way for extension to add a sidebar pane similar to our property / expression watch sidebar panes.
Comment 1 Andrey Kosyakov 2010-11-01 09:20:19 PDT
Created attachment 72515 [details]
patch
Comment 2 Pavel Feldman 2010-11-01 10:36:37 PDT
Comment on attachment 72515 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=72515&action=review

> WebCore/inspector/front-end/ExtensionAPI.js:271
> +    setObject: function(expression, rootTitle)

expression -> jsonObject

> WebCore/inspector/front-end/ExtensionPanel.js:118
> +WebInspector.LocalJSONObject = function(value)

I'd suggest that you move LocalJSONObject into RemoteObject.js and update the factory method there.
Comment 3 Andrey Kosyakov 2010-11-01 11:32:43 PDT
Created attachment 72528 [details]
patch to land

- Moved LocalJSONObject to RemoteObject.js, added RemoteObject.fromLocalObject()
- setObject(expression,...) => setObject(jsonObject,...)
Comment 4 Eric Seidel (no email) 2010-11-10 14:02:48 PST
Comment on attachment 72515 [details]
patch

Cleared Pavel Feldman's review+ from obsolete attachment 72515 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 5 Andrey Kosyakov 2011-04-08 01:27:06 PDT
Patch laneded at r71107: http://trac.webkit.org/changeset/71107